Changeset be12911 in rtems-testing


Ignore:
Timestamp:
Jan 10, 2013, 12:50:31 AM (6 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
8da8788
Parents:
c9c3217
Message:

do_one: Improve verbose. Clean up

File:
1 edited

Legend:

Unmodified
Added
Removed
  • gcc/do_one

    rc9c3217 rbe12911  
    7171do_mail=yes
    7272# Are we noisy when running?
    73 verbose=yes
     73verbose=no
    7474######################## Parse arguments ###########################
    7575
     
    8585  -d   - do not clean up (delete build directories) (default=no)
    8686  -M   - do NOT email test results to gcc-testresults
    87   -v   - verbose
     87  -v   - verbose (default=no)
    8888
    8989  Cross Compilation Options (Base and Primary Languages)
     
    303303  echo "Make Jobs       : " ${MAKEJOBS}
    304304  echo "Build Native    : " ${do_native}
    305   echo "Build Stage 1   : " ${do_stage1}
     305  echo "Build C Stage 1 : " ${do_stage1} "(multilib=${do_multilib} test=${run_gcctests})"
    306306  echo "  C++           : " ${do_cxx}
    307   echo "  Multilib      : " ${do_multilib}
    308   echo "Stage 2         : " ${do_ada}
    309   echo "  Objective-C   : " ${do_objc}
    310   echo "  Ada           : " ${do_ada}
    311   echo "  Multilib      : " ${do_ada_multilib}
    312   echo "  GCC Go        : " ${do_gccgo}
    313   echo "  Go Multilib   : " ${do_gccgo_multilib}
    314   echo "  GCJ           : " ${do_gcj}
    315   echo "  GCJ Multilib  : " ${do_gcj_multilib}
    316   echo "  FORTRAN       : " ${do_fortran}
    317307  echo "Build RTEMS     : " ${do_rtems}
    318   echo "Run GCC Tests   : " ${run_gcctests}
    319   echo "Run ObjC Tests  : " ${run_objctests}
    320   echo "Run ACATS       : " ${run_acats}
    321   echo "Run Go Tests    : " ${run_gccgotests}
    322   echo "Do libgo Tests  : " ${run_libgotests}
    323   echo "Do libjava Tests: " ${run_libjavatests}
    324   echo "Do FORTRAN Tests: " ${run_fortrantests}
    325308  echo "Email Tests     : " ${do_mail}
    326309  echo "Native GCC      : " `type gcc`
    327310  echo "PATH            : " ${PATH}
    328311  echo "Clean up        : " ${do_cleanup}
     312  echo
     313  echo "==================== Secondary Languages ======================"
     314  echo "  Ada         : " ${do_ada}     "(multilib=${do_ada_multilib} test=${run_acats})"
     315  echo "  FORTRAN     : " ${do_fortran} "(multilib=${do_gccgo_multilib} test=${run_fortrantests})"
     316  echo "  GCC Go      : " ${do_gccgo} \
     317       "(multilib=${do_gccgo_multilib} test=${run_gccgotests} libgotests=${run_libgotests})"
     318  echo "  GCJ         : " ${do_gcj} \
     319       "(multilib=${do_gcj_multilib} test=${run_gcjtests} libtests=${run_libjavatests})"
     320  echo "  Objective-C : " ${do_objc}   "(multilib=${do_ada_multilib} test=${run_objctests})"
    329321fi
    330322
     
    633625
    634626  RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    635   for results in `ls -1 gcc/testsuite/*/${*}.log gcc/testsuite/*/${*}.sum`
     627  for results in `ls -1 gcc/testsuite/*/${*}.log gcc/testsuite/*/${*}.sum 2>/dev/null`
    636628  do
    637629    test -d ${RDIR} || mkdir -p ${RDIR}
     
    662654  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc \
    663655    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
    664 
    665   j_process_results "C/C++" gcc/testsuite/gcc/gcc gcc/testsuite/g++/g++
     656 
     657  if [ $? -eq 0 ] ; then
     658    j_process_results "C/C++" gcc/testsuite/gcc/gcc gcc/testsuite/g++/g++
     659  fi
    666660
    667661  cd .. || exit 1
     
    726720    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
    727721
    728   j_process_results "Objective-C" gcc/testsuite/objc/objc
     722  if [ $? -eq 0 ] ; then
     723    j_process_results "Objective-C" gcc/testsuite/objc/objc
     724  fi
    729725
    730726  cd .. || exit 1
     
    889885    >${LOGDIR}/${cpu}-gccgotests-${bsp}.log 2>&1
    890886
    891   j_process_results "Go" testsuite/go/go
     887  if [ $? -eq 0 ] ; then
     888    j_process_results "Go" testsuite/go/go
     889  fi
    892890  cd .. || exit 1
    893891else
     
    903901    >${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
    904902
    905   j_process_results "Go Library" ${TARGET}/libgo/testsuite/libgo-all
     903  if [ $? -eq 0 ] ; then
     904    j_process_results "Go Library" ${TARGET}/libgo/testsuite/libgo-all
     905  fi
    906906else
    907907  echo Skipping libgo DejaGNU tests for ${cpu}/${bsp}
     
    981981    >${LOGDIR}/${cpu}-libjavatests-${bsp}.log 2>&1
    982982
    983   j_process_results "GCJ" ${TARGET}-${bsp}/libjava/testsuite/libjava-all
     983  if [ $? -eq 0 ] ; then
     984    j_process_results "GCJ" ${TARGET}-${bsp}/libjava/testsuite/libjava-all
     985  fi
    984986else
    985987  echo Skipping libjava DejaGNU tests for ${cpu}/${bsp}
     
    10431045    >${LOGDIR}/${cpu}-fortrantests-${bsp}.log 2>&1
    10441046
    1045   j_process_results "FORTRAN" gcc/testsuite/gfortran/gfortran
     1047  if [ $? -eq 0 ] ; then
     1048    j_process_results "FORTRAN" gcc/testsuite/gfortran/gfortran
     1049  fi
    10461050else
    10471051  echo Skipping FORTRAN DejaGNU tests for ${cpu}/${bsp}
Note: See TracChangeset for help on using the changeset viewer.